RTEMS: cpukit/include/rtems/captureimpl.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
captureimpl.h File Reference

Capture Implementation file. More...

`#include "capture.h"`

Go to the source code of this file.

## Functions
void | rtems_capture_set_extension_index (int index)
| Capture set extension index.
int | rtems_capture_get_extension_index (void)
| Capture get extension index.
uint32_t | rtems_capture_get_flags (void)
| Capture get flags.
void | rtems_capture_set_flags (uint32_t mask)
| Capture set flags.
rtems_status_code | rtems_capture_user_extension_open (void)
| Capture user extension open.
rtems_status_code | rtems_capture_user_extension_close (void)
| Capture user extension close.
bool | rtems_capture_trigger_fired (rtems_tcb *ft, rtems_tcb *tt, uint32_t events)
| Capture check trigger.
void | rtems_capture_print_trace_records (int total, bool csv)
| Capture print trace records.
void | rtems_capture_print_timestamp (uint64_t uptime)
| Capture print timestamp.
void | rtems_capture_print_record_task (int cpu, const rtems_capture_record *rec, const rtems_capture_task_record *task_rec)
| Capture print record task.
void | rtems_capture_print_record_capture (int cpu, const rtems_capture_record *rec, uint64_t diff, const rtems_name *name)
| Capture print capture record.
void | rtems_capture_print_watch_list (void)
| Capture print watch list.

## Detailed Description

Capture Implementation file.

This file contains an interface between the capture engine and capture user extension methods.

## Function Documentation

## ◆ rtems_capture_get_extension_index()

int rtems_capture_get_extension_index | ( | void |  | ) |

Capture get extension index.

This function rturns the extension index for the capture engine.

Return values

  This | method returns the extension index.

## ◆ rtems_capture_get_flags()

uint32_t rtems_capture_get_flags | ( | void |  | ) |

Capture get flags.

This function gets the current flag settings for the capture engine.

Return values

  This | method returns the global capture flags.

## ◆ rtems_capture_print_record_capture()

void rtems_capture_print_record_capture | ( | int | cpu,
|  | const rtems_capture_record * | rec,
|  | uint64_t | diff,
|  | const rtems_name * | name
| ) |  |

Capture print capture record.

This function prints a user extension capture record.

Parameters

  [in] | cpu | specifies the cpu the cpu the record was logged on.
  [in] | rec | specifies the record.
  [in] | diff | specifies the time between this and the last capture record.
  [in] | name | specifies the name of the task, NULL if none.
  [in] | task_count | number of tasks to search for.

## ◆ rtems_capture_print_record_task()

void rtems_capture_print_record_task | ( | int | cpu,
|  | const rtems_capture_record * | rec,
|  | const rtems_capture_task_record * | task_rec
| ) |  |

Capture print record task.

This function prints a capture record task. This record contains information to identify a task. It is refrenced in other records by the task id.

Parameters

  [in] | cpu | specifies the cpu the cpu the record was logged on.
  [in] | rec | specifies the task record.

## ◆ rtems_capture_print_timestamp()

void rtems_capture_print_timestamp | ( | uint64_t | uptime | ) |

Capture print timestamp.

This function prints uptime in a timestamp format.

Parameters

  [in] | uptime | specifies the timestamp to print

## ◆ rtems_capture_print_trace_records()

void rtems_capture_print_trace_records | ( | int | total,
|  | bool | csv
| ) |  |

Capture print trace records.

This function reads, prints and releases up to total trace records in either a csv format or an ascii table format.

Parameters

  [in] | total | specifies the number of records to print
  [in] | csv | specifies a comma seperated value format

## ◆ rtems_capture_print_watch_list()

void rtems_capture_print_watch_list | ( | void |  | ) |

Capture print watch list.

This function prints a capture watch list

## ◆ rtems_capture_set_extension_index()

void rtems_capture_set_extension_index | ( | int | index | ) |

Capture set extension index.

This function is used to set the extension index for the capture engine.

Parameters

  [in] | index | specifies the extension index to be used for capture engine data.

## ◆ rtems_capture_set_flags()

void rtems_capture_set_flags | ( | uint32_t | mask | ) |

Capture set flags.

This function sets a flag in the capture engine

Parameters

  [in] | mask | specifies the flag to set

## ◆ rtems_capture_trigger_fired()

bool rtems_capture_trigger_fired | ( | rtems_tcb * | ft,
|  | rtems_tcb * | tt,
|  | uint32_t | events
| ) |  |

Capture check trigger.

This function checks if we have triggered or if this event is a cause of a trigger.

Parameters

  [in] | ft | specifies specifices the capture from task
  [in] | tt | specifies specifices the capture to task
  [in] | events | specifies the events

Return values

  This | method returns true if we have triggered or if the event is a cause of a trigger.

## ◆ rtems_capture_user_extension_close()

rtems_status_code rtems_capture_user_extension_close | ( | void |  | ) |

Capture user extension close.

This function closes the capture user extensions.

Return values

  This | method returns RTEMS_SUCCESSFUL upon a successful delete of the user extensions.

## ◆ rtems_capture_user_extension_open()

rtems_status_code rtems_capture_user_extension_open | ( | void |  | ) |

Capture user extension open.

This function creates the capture user extensions.

Return values

  This | method returns RTEMS_SUCCESSFUL upon successful creation of the user extensions.